> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shipment

> Retrieve details of a specific shipment

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://hermes.api.e-cross.tech/ext/shipments/aa65bd71-33cf-40c1-bdc5-91b01344f659' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "id": "aa65bd71-33cf-40c1-bdc5-91b01344f659",
    "description": "Weekly dispatch",
    "status": "CREATED",
    "creationDate": "2025-06-10T10:43:59.080Z",
    "lastUpdateDate": "2025-06-10T10:43:59.080Z",
    "parcelIds": [
      "PURECAPS387294640090BR"
    ],
    "merchantId": "PURECAPS",
    "expectedShipDate": "2025-06-01T15:00:00Z",
    "expectedDeliveryDate": "2025-06-03T15:00:00Z",
    "firstMileCarrierId": "USPS",
    "firstMileTrackingNumber": "FM123456",
    "weight": 0.24
  }
  ```
</ResponseExample>

### Path Parameters

<ParamField path="shipmentId" type="string" required>
  Unique identifier of the shipment. This is the `id` returned when creating the shipment.
</ParamField>

### Response Fields

The response fields are the same as the [Create shipment API](/api-reference/shipments/create-shipment).
